Results 1 to 10 of 10

Thread: Wine from the virtualization repo is missing libpng15 (64bit)

  1. #1
    Join Date
    Oct 2009
    Location
    Germany
    Posts
    503

    Default Wine from the virtualization repo is missing libpng15 (64bit)

    Hi,
    i have a problem with the installation of wine, i have added the Virtualization community/unofficial repository first, my next step was to selecting the wine package in the package manager.
    Directly when i click on wine in the package list, a pop up appears with the following message:
    Code:
    libpng15.so.15()(64bit), needed by wine-1.7.23-355.1.x86_64, is not provided by any repository
    (my message is in german so i tried to translate it to english)
    there are two options given:
    1. do not install
    2. ignore
    But it is strange that the missing library is not provided by the virtualization repo which is the same repo which provided wine itself. Should not it be checked if all dependencies from the packages in a repo are provided by the same repo?

    Anyway, i searched for libpng and found libpng16 (64 bit and 32 bit already installed, it is possible that i installed the 32 bit version manually) libpng 12 is installed too.

    i do not know what to do now.

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,299
    Blog Entries
    15

    Default Re: Wine from the virtualization repo is missing libpng15 (64bit)

    Hi
    Maybe run a zypper ref and try again?

    This one use libpng16;
    https://build.opensuse.org/package/b...=openSUSE_13.1
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3

    Default Re: Wine from the virtualization repo is missing libpng15 (64bit)

    Quote Originally Posted by malcolmlewis View Post
    Hi
    Maybe run a zypper ref and try again?

    This one use libpng16;
    https://build.opensuse.org/package/b...=openSUSE_13.1
    And please post your openSUSE version and repo list:
    Code:
    zypper lr -d
    openSUSE 12.3 came with libpng15, so wine for 12.3 requires libpng15 which is not available on 13.1 any more.
    So probably you try to install the 12.3 version on 13.1?
    IOW you probably added the Virtualization repo for 12.3 to your 13.1 system.

  4. #4
    Join Date
    Jun 2009
    Location
    Mangfall, Germany
    Posts
    1,490

    Default Re: Wine from the virtualization repo is missing libpng15 (64bit)

    hi,

    fwiw

    sorry details lost,

    the install on this pc (for wine, googleearth, ElsterFormular (for German taxes))? is,

    Distribution 13.1
    libpng12-0-1.2.50-6.4.1.x86_64
    libpng12-0-32bit-1.2.50-6.4.1.x86_64
    libpng12-compat-devel-1.2.50-6.4.1.x86_64
    libpng12-devel-1.2.50-6.4.1.x86_64
    libpng15-15-1.5.13-3.1.1.x86_64
    libpng16-16-1.6.6-12.1.x86_64
    libpng16-16-32bit-1.6.6-12.1.x86_64

    Distribution 12.3
    libpng15-15-1.5.13-3.1.1.x86_64

    all works

    cheers

  5. #5

    Default Re: Wine from the virtualization repo is missing libpng15 (64bit)

    Quote Originally Posted by keellambert View Post
    the install on this pc (for wine, googleearth, ElsterFormular (for German taxes))? is,

    Distribution 13.1
    libpng12-0-1.2.50-6.4.1.x86_64
    libpng12-0-32bit-1.2.50-6.4.1.x86_64
    libpng12-compat-devel-1.2.50-6.4.1.x86_64
    libpng12-devel-1.2.50-6.4.1.x86_64
    libpng15-15-1.5.13-3.1.1.x86_64
    libpng16-16-1.6.6-12.1.x86_64
    libpng16-16-32bit-1.6.6-12.1.x86_64

    Distribution 12.3
    libpng15-15-1.5.13-3.1.1.x86_64
    Again, wine for 13.1 requires libpng16, _not_ libpng15.

    You _should not_ install the 12.3 packages of wine and libpng15 on an 13.1 system, that's just nonsense.
    Install the 13.1 wine package and there's no need for libpng15 either.

    Code:
    :~> rpm -q --requires wine
    ...
    libpng16.so.16()(64bit)
    ...
    Btw, because it struck me now after re-reading the subject: wine is not even available from the "Virtualization" repo. You can get the latest version from "Emulators" f.e., that's where I have it from, and it is included in the standard repo of course (version 1.7.2 for 13.1).
    Last edited by wolfi323; 30-Jul-2014 at 03:52.

  6. #6
    Join Date
    Oct 2009
    Location
    Germany
    Posts
    503

    Default Re: Wine from the virtualization repo is missing libpng15 (64bit)

    Yes you are right, i had an old version of the emulators repo added (probably an mistake i made earlier) but there was i missunderstanding from my site because thought that Wine is in the Virtualization repository and i was sure i had the 13.1 one i did not noticed that the emulators repo was the problem.

  7. #7
    Join Date
    Jun 2009
    Location
    Mangfall, Germany
    Posts
    1,490

    Default Re: Wine from the virtualization repo is missing libpng15 (64bit)

    hi wolfi323,

    there is no disagreement with your reply

    libpng12 is required by googleearth

    libpng15 was required by digikam, when 13.1 first installed,
    but now requires libpng16, so it will now be deleted

    cheers

  8. #8

    Default Re: Wine from the virtualization repo is missing libpng15 (64bit)

    Quote Originally Posted by keellambert View Post
    there is no disagreement with your reply
    Ok, but your post seemed to propose the installation of 12.3's libpng15 to "fix" this problem.
    I just wanted to make it clear that this is absolutely not necessary (at least for wine) and should not be done.

    libpng12 is required by googleearth
    Yes, and libpng12 is included in 13.1.

    libpng15 was required by digikam, when 13.1 first installed,
    but now requires libpng16, so it will now be deleted
    The same here: 13.1's digikam did _not_ require libpng15 ever. That's impossible, as 13.1 does not and never did include libpng15, so a package built against 13.1 cannot depend on libpng15.

    If your installed digikam did require libpng15, it was a version for 12.3.
    Maybe you had it installed from KDE:Extra and forgot to change the repo URL to 13.1 (respectively disable the repo) before you upgraded?
    If it had a higher version/revision number than the 13.1 version, "zypper dup" would keep (or even want to install) the 12.3 version in that case of course as long as all dependencies are satisfiable.

  9. #9
    Join Date
    Jun 2009
    Location
    Mangfall, Germany
    Posts
    1,490

    Default Re: Wine from the virtualization repo is missing libpng15 (64bit)

    hi wolfi123

    thanks for the feedback

    the notes taken at the time were,

    Code:
    A780GM-LE<2013Aug09><12:47><~/Updates/13.1-M3/digikam>
    needed  kipi-plugins-3.3.0-1.1    installed  kipi-plugins-3.2.0-3.4.x86_64
    needed  libkface2-3.3.0-1.1       installed  libkface1-3.2.0-3.4.x86_64	
    needed  libkipi10-4.10.5-1.1      installed  libkipi11-4.10.97-1.2.x86_64
    needed  libpng15-15-1.5.13-3.1.1  installed  libpng12-0-1.2.50-5.4.x86_64 & libpng16-16-1.6.2-2.3.x86_64
    so it looks like it was for a pre-release 13.1 install

    libpng15 has been deleted and no loss of functionality noticed

    apologies for the confusion

    cheers

  10. #10

    Default Re: Wine from the virtualization repo is missing libpng15 (64bit)

    Quote Originally Posted by keellambert View Post
    so it looks like it was for a pre-release 13.1 install
    That's of course possible.
    There was a time period in 13.1's development cycle where it still contained libpng15.

    But that requirement should at least have been eliminated when you upgraded to 13.1 final (likely much earlier, but I don't remember the details)

    Anyway, I guess it doesn't really make sense now to try to find out what has happened nearly a year ago.

    libpng15 has been deleted and no loss of functionality noticed
    Of course not.
    Nothing in 13.1 uses libpng15 (that would not even be possible) as already stated.
    And the standard compatibility package that should be used by third-party programs is libpng12 (specified by the LSB).

    apologies for the confusion
    No problem.
    Last edited by wolfi323; 31-Jul-2014 at 05:47.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •